﻿using OOOWriteAndClear.DataBase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace OOOWriteAndClear
{
    /// <summary>
    /// Логика взаимодействия для Basket.xaml
    /// </summary>
    public partial class Basket : Window
    {
        public static Order order = new Order() {OrderProduct = new List<OrderProduct>()};


        public Basket()
        {
            InitializeComponent();

            BasketListView.ItemsSource = order.OrderProduct;

            RecalculateOrderCost();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            OrderProduct orderProduct = order.OrderProduct.Where(a => a.Product.ProductArticleNumber == ((Button)sender).Uid).First();
            orderProduct.ProductAmount++;
            BasketListView.ItemsSource = new List<OrderProduct>();
            BasketListView.ItemsSource = order.OrderProduct;
            RecalculateOrderCost();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            OrderProduct orderProduct = order.OrderProduct.Where(a => a.Product.ProductArticleNumber == ((Button)sender).Uid).First();
            orderProduct.ProductAmount--;
            if (orderProduct.ProductAmount == 0) order.OrderProduct.Remove(orderProduct);
            BasketListView.ItemsSource = new List<OrderProduct>();
            BasketListView.ItemsSource = order.OrderProduct;
            RecalculateOrderCost();
        }

        private void RecalculateOrderCost()
        {
            decimal CostWithoutDiscount = 0, CostWithDiscount = 0, Discount = 0;
            foreach(var indexer in order.OrderProduct)
            {
                CostWithoutDiscount += indexer.Product.ProductCost * indexer.ProductAmount;
                CostWithDiscount += indexer.Product.CostWithDiscount * indexer.ProductAmount;
            }
            Discount = CostWithoutDiscount - CostWithDiscount;
            CostWithoutDisc.Text = String.Format("{0:f2} руб.", CostWithoutDiscount);
            CostWithDisc.Text = String.Format("{0:f2} руб.", CostWithDiscount);
            Disc.Text = String.Format("{0:f2} руб.", Discount);
        }
    }
}
